play.data.parsing

## Class ApacheMultipartParser.SizeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.fileupload.FileUploadException
      - - play.data.parsing.ApacheMultipartParser.SizeException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ApacheMultipartParser

    protected abstract static class ApacheMultipartParser.SizeException
    extends FileUploadException

This exception is thrown, if a requests permitted size is exceeded.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `SizeException(java.lang.String message, long actual, long permitted)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getActualSize()` Retrieves the actual size of the request.
`long` `getPermittedSize()` Retrieves the permitted size of the request.

### Methods inherited from class org.apache.commons.fileupload.FileUploadException

`getCause, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SizeException

    protected SizeException(java.lang.String message,
                            long actual,
                            long permitted)

Creates a new instance.

Parameters:
  `message` - The detail message.
  `actual` - The actual number of bytes in the request.
  `permitted` - The requests size limit, in bytes.

### Method Detail

#### getActualSize

    public long getActualSize()

Retrieves the actual size of the request.

Returns:
  The actual size of the request.

#### getPermittedSize

    public long getPermittedSize()

Retrieves the permitted size of the request.

Returns:
  The permitted size of the request.